org.apache.flume.channel.jdbc

## Class JdbcChannelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.flume.ChannelException
        - - org.apache.flume.channel.jdbc.JdbcChannelException

- All Implemented Interfaces:
    Serializable

      public class JdbcChannelException
      extends ChannelException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcChannelException(Exception cause)`
    `JdbcChannelException(String message)`
    `JdbcChannelException(String message, Exception cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcChannelException

          public JdbcChannelException(String message)

    - #### JdbcChannelException

          public JdbcChannelException(String message,
                              Exception cause)

    - #### JdbcChannelException

          public JdbcChannelException(Exception cause)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.